<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1.5">

            <androidx.cardview.widget.CardView
                android:id="@+id/cardView7"
                android:layout_width="180dp"
                android:layout_height="40dp"
                android:layout_marginStart="20dp"
                android:layout_marginTop="20dp"
                app:cardBackgroundColor="@color/white"
                app:cardElevation="4dp"
                app:layout_constraintStart_toEndOf="@+id/gpsRefresh"
                app:layout_constraintTop_toTopOf="parent">

                <TextView
                    android:id="@+id/hospCatLocText"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginStart="10dp"
                    android:gravity="start|center_vertical"
                    android:clickable="true"
                    android:focusable="true"
                    android:text="의료기관 선택"
                    android:textSize="16sp">

                </TextView>

                <Spinner
                    android:id="@+id/spMedical"
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:entries="@array/medical_list"
                    android:padding="3dp"
                    android:prompt="@string/si_spinner_prompt" />
            </androidx.cardview.widget.CardView>

            <androidx.cardview.widget.CardView
                android:id="@+id/cardView5"
                android:layout_width="180dp"
                android:layout_height="40dp"
                android:layout_marginStart="10dp"
                android:layout_marginTop="20dp"
                app:cardBackgroundColor="@color/white"
                app:cardElevation="4dp"
                app:layout_constraintStart_toEndOf="@+id/cardView7"
                app:layout_constraintTop_toTopOf="parent">

                <TextView
                    android:id="@+id/hospPrtLocText"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginStart="10dp"
                    android:gravity="start|center_vertical"
                    android:clickable="true"
                    android:focusable="true"
                    android:text="진료과 선택"
                    android:textSize="16sp">

                </TextView>

                <Spinner
                    android:id="@+id/spDepart"
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:entries="@array/medical_department_list"
                    android:padding="3dp"
                    android:prompt="@string/si_spinner_prompt" />
            </androidx.cardview.widget.CardView>

            <androidx.cardview.widget.CardView
                android:id="@+id/cardView4"
                android:layout_width="230dp"
                android:layout_height="40dp"
                android:layout_marginStart="10dp"
                android:layout_marginTop="20dp"
                app:cardBackgroundColor="@color/white"
                app:cardElevation="4dp"
                app:layout_constraintStart_toEndOf="@+id/cardView5"
                app:layout_constraintTop_toTopOf="parent">

                <Spinner
                    android:id="@+id/spEmgYN"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:entries="@array/emergency_yn_list"
                    android:padding="3dp"
                    android:prompt="@string/si_spinner_prompt" />
            </androidx.cardview.widget.CardView>

            <Button
                android:id="@+id/hospSearchButton"
                android:layout_width="115dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="24dp"
                android:layout_marginTop="18dp"
                android:text="병원검색"
                app:cornerRadius="10dp"
                app:layout_constraintStart_toEndOf="@+id/cardView4"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/textView5"
                android:layout_width="163dp"
                android:layout_height="31dp"
                android:layout_marginStart="28dp"
                android:layout_marginTop="25dp"
                android:text="단말기 현재 위치 : "
                android:textSize="20dp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/tvGeoLocation"
                android:layout_width="wrap_content"
                android:layout_height="31dp"
                android:layout_marginStart="10dp"
                android:layout_marginTop="25dp"
                android:text="서울특별시"
                android:textSize="20dp"
                app:layout_constraintStart_toEndOf="@+id/textView5"
                app:layout_constraintTop_toTopOf="parent" />

            <ImageButton
                android:id="@+id/gpsRefresh"
                android:layout_width="24dp"
                android:layout_height="20dp"
                android:layout_marginStart="20dp"
                android:layout_marginTop="30dp"
                android:adjustViewBounds="true"
                android:background="@null"
                android:scaleType="fitXY"
                android:src="@drawable/gps"
                app:layout_constraintStart_toEndOf="@+id/tvGeoLocation"
                app:layout_constraintTop_toTopOf="parent" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="7">

            <androidx.cardview.widget.CardView
                android:id="@+id/reCyclerCardViewLS"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginLeft="10dp"
                android:layout_marginTop="10dp"
                android:layout_marginRight="10dp"
                android:layout_marginBottom="70dp"
                app:cardCornerRadius="5dp"
                app:cardElevation="2dp">

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/reCyclerViewLS"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:clipToPadding="false" />

            </androidx.cardview.widget.CardView>

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_marginLeft="10dp"
                android:layout_marginTop="10dp"
                android:layout_marginRight="10dp"
                android:layout_marginBottom="10dp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/reCyclerCardViewLS">

                <LinearLayout
                    android:layout_width="500dp"
                    android:layout_height="match_parent"
                    android:gravity="center"
                    android:orientation="horizontal"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent">

                    <Button
                        android:id="@+id/pagePrevLS"
                        android:layout_width="80dp"
                        android:layout_height="match_parent"
                        android:background="@drawable/page_button_background"
                        android:text="이전"
                        app:cornerRadius="10dp"></Button>

                    <LinearLayout
                        android:id="@+id/pageButtonsContainer"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:gravity="center"
                        android:orientation="horizontal"
                        android:padding="10dp"></LinearLayout>

                    <Button
                        android:id="@+id/pageNextLS"
                        android:layout_width="80dp"
                        android:layout_height="match_parent"
                        android:background="@drawable/page_button_background"
                        android:text="다음"
                        app:cornerRadius="10dp"></Button>

                </LinearLayout>

            </androidx.constraintlayout.widget.ConstraintLayout>

        </androidx.constraintlayout.widget.ConstraintLayout>

    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>